Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Mutex Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::Mutex:

[legend]
Collaboration diagram for RTCORBA::Mutex:

[legend]
List of all members.

## Public Types
typedef Mutex_ptr | _ptr_type
typedef Mutex_var | _var_type
## Public Methods
virtual void | lock (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | unlock (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | try_lock (TimeBase::TimeT max_wait ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Mutex_ptr | _duplicate (Mutex_ptr obj)
Mutex_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Mutex_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| Mutex (void)
virtual | ~Mutex (void)
## Private Methods
| Mutex (const Mutex &)
void | operator= (const Mutex &)

## Member Typedef Documentation

typedef Mutex_ptr RTCORBA::Mutex::_ptr_type

| Reimplemented from CORBA::Object.

typedef Mutex_var RTCORBA::Mutex::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

RTCORBA::Mutex::Mutex | ( | void |  | ) | `[protected]`

RTCORBA::Mutex::~Mutex | ( | void |  | ) | `[protected, virtual]`

RTCORBA::Mutex::Mutex | ( | const Mutex & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::Mutex_ptr RTCORBA::Mutex::_duplicate | ( | Mutex_ptr | obj | ) | `[static]`

const char * RTCORBA::Mutex::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean RTCORBA::Mutex::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

Mutex_ptr RTCORBA::Mutex::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

Mutex_ptr RTCORBA::Mutex::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void RTCORBA::Mutex::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

virtual void RTCORBA::Mutex::lock | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_Mutex.

CORBA::Boolean RTCORBA::Mutex::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void RTCORBA::Mutex::operator= | ( | const Mutex & |  | ) | `[private]`

virtual CORBA::Boolean RTCORBA::Mutex::try_lock | ( | TimeBase::TimeT max_wait | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_Mutex.

virtual void RTCORBA::Mutex::unlock | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_Mutex.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp